import os
#please, insert file Qt.py in this folder:
#Windows: C:\Program Files\Nuke10.0v1\lib\site-packages
#Linux: /usr/local/Nuke10.0v1/lib/python2.7/site-packages
#macOS:/Applications/Nuke10.0v2/Nuke10.0v2.app/Contents/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages

#Guide: 
#www.fredrikaverpil.github.io/2016/07/25/developing-with-qt-py/
#www.nukepedia.com/prepare-for-qt5

from Qt import QtWidgets
from Qt import QtCompat
from Qt import QtGui

#load the file for the interface
file_interface = os.path.join("/Users/path/Desktop/", "form.ui")

#---------------------------------------------------------
nodes = []
def create_list_nodes():
    #populate the list nodes
    for n in nuke.allNodes():
        name = n.name()
        nodeclass = n.Class()
    
        nodes.append(name)
    
    #sort the list
    nodes.sort()

create_list_nodes()

#---------------------------------------------------------
class MyWindow(QtWidgets.QMainWindow):
    def __init__(self, parent=None):
        super(MyWindow, self).__init__(parent)
        self.main_widget = QtCompat.loadUi(file_interface)
        self.setCentralWidget(self.main_widget)
        self.setWindowTitle("WindowTitle")

        self.load_ui()


    def load_ui(self):
        #self.name = self.main_widget.findChild(QtWidgets.TypeOfElement, "nameOfElement")
        self.menu = self.main_widget.findChild(QtWidgets.QComboBox, "nodes_ComboBox")
        self.menu.addItems(nodes)

        self.button = self.main_widget.findChild(QtWidgets.QPushButton, "select_Button")
        self.button.clicked.connect(self.select_node)


    def select_node(self):
        #Clear all the selected Nodes
        nukescripts.clear_selection_recursive()

        n = nuke.toNode(self.menu.currentText())
        n.knob('selected').setValue(True)
    
        #manipulate the Node Graph. Zoom on the  Selected Node
        nuke.zoom( 2, [ n.xpos(), n.ypos() ])


#---------------------------------------------------------

my_window = MyWindow()
my_window.show()